coupang
GET/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawRequests2609170000

Query return return withdrawal history by date range

# 01

Summary

Query return return withdrawal history by date range

# 02

Details

Available buyer market: Korean

Search for the return withdrawal history per given time window.

Data of maximum 7 days can be queried
(note: Start date and end date for search are included in the date range)

Path

GET/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawRequests

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnWithdrawRequests?sizePerPage=3&pageIndex=1&dateFrom=2018-11-03&dateTo=2018-11-06

URL API Name

GET_RETURNWITHDRAW_REQUEST
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID

Unique seller id issued by Coupang

e.g. A00012345
# 04

Query parameters

NameTypeDescription
dateFrom*string
Search start date (yyyy-MM-dd)
dateTo*string
Search end date (yyyy-MM-dd)
pageIndexnumber
Index value to query the next page
Default value: 1
It it’s the last page, an empty value (“”) will be displayed
sizePerPagenumber
Maximum number of request per page
Default: 10, Max: 100
# 05

Response body

Response message

NameTypeDescription
codeinteger
Http request status code
Example: 200, 400, 500
messagestring
This message will be displayed at request success or failure.
dataobject[]
cancelId
data[].cancelId
integer
Return receiptID
orderId
data[].orderId
integer
Order ID
vendorId
data[].vendorId
string
Seller ID

Unique seller id issued by Coupang

e.g. A00012345
refundDeliveryDuty
data[].refundDeliveryDuty
string
Return at which party’s fault
CODE Mean
COM Seller
CUS Customer
COU Coupang
createdAt
data[].createdAt
string
Time of return withdrawal
yyyy-MM-ddThh:mm:ss
vendorItemIds
data[].vendorItemIds
object[]
Return option ID list
nextPageIndexstring
Index value to query the next page
It it’s the last page, an empty value (“”) will be displayed.

Response Example

{
  "code": 200,
  "message": "OK",
  "data": [
    {
      "cancelId": 116607450,
      "orderId": 29000024470847,
      "vendorId": "A00123456",
      "refundDeliveryDuty": "COM",
      "createdAt": "2018-11-06T23:50:39",
      "vendorItemIds": [
        3838728011
      ]
    },
    {
      "cancelId": 116600657,
      "orderId": 7000024098976,
      "vendorId": "A00123456",
      "refundDeliveryDuty": "CUS",
      "createdAt": "2018-11-06T23:03:40",
      "vendorItemIds": [
        3930729129
      ]
    },
    {
      "cancelId": 116590024,
      "orderId": 27000024100568,
      "vendorId": "A00123456",
      "refundDeliveryDuty": "COM",
      "createdAt": "2018-11-06T21:39:57",
      "vendorItemIds": [
        3841979364
      ]
    }
  ],
  "nextPageIndex": "2"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request metric)

Invalid vendor ID

Check if the vendorID value is correct

400400 (check request metric)

Query date range should be no bigger than 7 days.

Check if date range for search is no greater than 7 days.

400400 (check request metric)

End date should be the same or later date than start date

Check if search start date and end date are correct

400400 (check request metric)

The maximum line items on a page (sizePerPage) should be 100.

Check if sizePerPage request is equal or less than 100.

400400 (check request metric)

pageindex cannot be negative or “0”.

Check if pageindex is negative or “0”.

400400 (check request metric)

Please check the date input format. (yyyy-MM-dd)

Make sure if search start date and end date are in the right format.

400400 (check request metric)

Required String parameter 'dateFrom' is not present

Make sure if the search start date is put in.

400400 (check request metric)

Required String parameter 'dateTo' is not present

Make sure if the search end date is put in.